using System;

class Program
{
    static void ucitavanje(int n, int[] a)
    {
        var ulaz = Console.ReadLine().Split();

        for (int i = 0; i < n; i++)
        {
            a[i] = int.Parse(ulaz[i]);
        }
    }

    static void Main()
    {
        // ucitavamo ulazne podatke

        var ulaz = Console.ReadLine().Split();

        int n = int.Parse(ulaz[0]);
        int k = int.Parse(ulaz[1]);

        int[] a = new int[n];

        ucitavanje(n, a);

        // provera da li je gledalac presekao spil ili ne

        bool presekao = false;

        if (k == a[n - 1])
        {
            presekao = true;
        }

        // proveravamo koju je kartu gledalac izvukao
 
        int izvucena_karta;
        int indeks = 0;

        if (n == 2)
        {
            if (k == a[0])
            {
                izvucena_karta = a[1];
            }

            else
            {
                izvucena_karta = a[0];
            }
        }

        else
        {
            if (presekao == false)
            {
                for (int i = 0; i < n; i++)
                {
                    if (k == a[i])
                    {
                        indeks = i;
                    }
                }

                izvucena_karta = a[indeks + 1];
            }

            else
            {
                izvucena_karta = a[0];
            }
        }

        // ispis

        Console.WriteLine(izvucena_karta);
    }
}